%include	/usr/lib/rpm/macros.java
Summary:	Java OpenStreetMap Editor
Summary(pl.UTF-8):	Edytor OpenStreetMap w Javie
Name:		josm
Version:	8109
Release:	1
License:	GPL v2+
Group:		Applications
URL:		http://josm.openstreetmap.de/
# this should be the 'tested' snapshot, as list on the web page
# svn export -r%{version} http://josm.openstreetmap.de/svn/trunk josm-src-snapshot-%{version}
Source0:	%{name}-src-snapshot-%{version}.tar.xz
# Source0-md5:	cb81e510ff648a2f98ef0b26461b5179
Patch0:		%{name}-version.patch
BuildRequires:	ant
%buildrequires_jdk
BuildRequires:	rpm-javaprov
Requires:	jre-X11 >= 1.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JOSM is an editor for OpenStreetMap (OSM) written in Java 7.
Currently it supports loading stand alone GPX tracks and GPX track
data from the OSM database as well as loading and editing existing
nodes, ways, metadata tags and relations from the OSM database.

%prep
%setup -qn %{name}-src-snapshot-%{version}
%undos build.xml
%patch0 -p1

%build
echo -n "%{version}" > rpm_version
%ant

cat > josm <<'EOF'
#!/bin/sh
exec java -jar %{_datadir}/%{name}/%{name}-custom.jar ${1:+"$@"}
EOF

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}}

# not into %{_javadir}, as it is not a library, but a stanalone application
install dist/%{name}-custom.jar $RPM_BUILD_ROOT%{_datadir}/%{name}
install josm $RPM_BUILD_ROOT%{_bindir}/josm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/josm
%{_datadir}/%{name}
%changelog
* Fri Apr 10 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/josm.git;a=log;h=master

* Sun Mar 15 2015 Bartek Szady <bszx@bszx.eu> 5f50b42
- Version: 8109

* Thu May 01 2014 Jacek Konieczny <jajcus@jajcus.net> 646c4a6
- Version: 7000

* Thu Mar 13 2014 Jacek Konieczny <jajcus@jajcus.net> 7cbf080
- Version: 6891

* Thu Apr 25 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 9c4f8da
- Version: 5836

* Tue Sep 04 2012 Jacek Konieczny <jajcus@jajcus.net> d83d68d
- Version: 5485

* Mon Jul 30 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 3fa5744
- Version: 5356

* Mon Apr 23 2012 Jacek Konieczny <jajcus@pld-linux.org> e39911f
- Release: 1

* Mon Apr 23 2012 Jacek Konieczny <jajcus@pld-linux.org> 4747d94
- Source0-md5

* Mon Apr 23 2012 Jacek Konieczny <jajcus@pld-linux.org> 7b57b2a
- Version: 5181

* Sun Mar 18 2012 Jacek Konieczny <jajcus@pld-linux.org> e5f5928
- Version: 5047

* Wed Jan 18 2012 Caleb Maclennan <caleb@alerque.com> 25d47a5
- Up to 4667

* Sun Oct 02 2011 Jacek Konieczny <jajcus@pld-linux.org> f2eb95b
- Broken snapshot (caused by external apache SVN checkouts not working right)
  replaced with a complete one.
- Release: 2

* Fri Sep 16 2011 Jacek Konieczny <jajcus@pld-linux.org> 71ab39d
- Version: 4399

* Sat May 14 2011 Jacek Konieczny <jajcus@pld-linux.org> 4390d66
- Version: 4064

* Tue Mar 15 2011 Jacek Konieczny <jajcus@pld-linux.org> 217e9a2
- not needed any more

* Tue Mar 15 2011 Jacek Konieczny <jajcus@pld-linux.org> 3903850
- Version: 3966 (latest stable)

* Sat Jan 08 2011 Jacek Konieczny <jajcus@pld-linux.org> 23b1dba
- Version: 3751
- patch to fix two 'unreported exception' compiletion error – why do _we_ need it if this is an official stable snapshot?

* Tue Dec 07 2010 Jacek Konieczny <jajcus@pld-linux.org> 4ac05c9
- Version: 3701

* Sun Dec 05 2010 Jacek Konieczny <jajcus@pld-linux.org> ded6e26
- Version: 3695

* Mon Oct 18 2010 Caleb Maclennan <caleb@alerque.com> 212c6af
- Up to latest stable: r3592

